2018-10-17 09:41 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001195FSSCPsoundpublic2012-01-09 13:06
ReporterSadisticSid 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.9 
Summary0001195: Inferno - sound entries over 200 in sounds.tbl
DescriptionWe have a sounds.tbl that has around 230 entries at present. Once upon a time this used to work, but sometime during the last year we've noticed that some sounds that are listed earlier in the table aren't being played.

After a bit of research, I've found that the problem begins at entry 201. 206, 211, 216 and so on are also affected. However, testing with a much older build produced the problem starting at 199, then 204, etc, yet it still recurs every fifth entry afterwards. Woomeister believes the problem began when the sounds limit became dynamic.
Additional InformationAs there's no 3.6.9, I've used the latest Inferno build that redmenace posted (fs2_open_r-Inf20061130.exe), and the older build I mentioned was fs2_open_inf-20060424.exe.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007383

taylor (administrator)

So, every 5th sound tends not to work?

Looks like it might be something stupid on my part. I think that the game is initting one old entry by mistake. So it's adding five, and initting 6, which leaves you with one that gets incorrectly reset.

It's easy enough to fix though.

~0007384

SadisticSid (reporter)

It's been present for a while, we just didn't realise what was causing it until Woomeister made INF:A and found out the latest SCP binaries warn if you go over 200 entries.

~0007389

taylor (administrator)

It's fixed in my local tree. I'll resolve this once it's in CVS.

~0007400

taylor (administrator)

Please give the following build a try and make sure that this is fixed (it's an Inferno build of 3.6.9):
http://icculus.org/~taylor/fso/willrobinson/reboot-inf.rar

~0007414

taylor (administrator)

Fixered.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2007-01-04 15:02 SadisticSid New Issue
2007-01-04 16:21 taylor Status new => assigned
2007-01-04 16:21 taylor Assigned To => taylor
2007-01-04 16:32 taylor Note Added: 0007383
2007-01-04 17:06 SadisticSid Note Added: 0007384
2007-01-05 00:02 taylor Note Added: 0007389
2007-01-05 23:29 taylor Note Added: 0007400
2007-01-07 08:14 taylor Status assigned => resolved
2007-01-07 08:14 taylor Fixed in Version => 3.6.9
2007-01-07 08:14 taylor Resolution open => fixed
2007-01-07 08:14 taylor Note Added: 0007414
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 fs2_open_3_6_9 r3839
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 trunk r3853
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn fs2_open_3_6_9 r3839
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn trunk r3853
+Issue History